Bug 567813 - (CVE-2010-1088) CVE-2010-1088 kernel: fix LOOKUP_FOLLOW on automount "symlinks"
CVE-2010-1088 kernel: fix LOOKUP_FOLLOW on automount "symlinks"
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100219,reported=20100224,sou...
: Security
Depends On: 567814 567815 567816 567817
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 20:08 EST by Eugene Teo (Security Response)
Modified: 2015-02-16 10:47 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 04:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-02-23 20:08:56 EST
Description of problem:
Make sure that automount "symlinks" are followed regardless of LOOKUP_FOLLOW; it should have no effect on them.

Upstream commit:
http://git.kernel.org/linus/ac278a9c505092dd82077a2446af8f9fc0d9c095

For this vulnerability to work, you need the support for O_NOFOLLOW (predates 2.6.12), openat (2.6.16 onwards) and use by NFS of 'trapdoor mounts' (2.6.18 onwards).
Comment 7 errata-xmlrpc 2010-07-01 14:28:03 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0504 https://rhn.redhat.com/errata/RHSA-2010-0504.html
Comment 9 errata-xmlrpc 2010-08-17 11:53:15 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0631 https://rhn.redhat.com/errata/RHSA-2010-0631.html

Note You need to log in before you can comment on or make changes to this bug.